#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,K,i,p[20000];

    scanf("%d%d", &N,&K);

    for(i=0;i<N;i++)
        scanf("%d", &p[i]);

    for(i=0;i<N;i++)
        if(p[i]==K)
            {
                if(i<=N-2)
                    printf("%d", p[i+1]);
                else
                    printf("%d", p[0]);
            }
    return 0;
}